Bug 147524 - CAN-2004-0888 xpdf integer overflows
CAN-2004-0888 xpdf integer overflows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,public=20041020
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 14:31 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-08 14:31:21 EST
*** This bug has been split off bug 135393 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.10.12
10:20 -------

During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.  

        CAN-2004-0888 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2004-0888 Affects: 3AS 3ES 3WS 3Desktop

This issue is embargoed until Oct20 1400UTC
Comment 1 Josh Bressers 2005-02-08 14:32:24 EST
Our original fix for this issue was incomplete.  Please see bug 135393 for the
proper fix for this issue.
Comment 2 Ngo Than 2005-02-09 04:59:16 EST
it's fixed in xpdf-3.00-3.8 (FC2) and xpdf-3.00-10.4 (FC3). i will release both
update today.
Comment 3 Mark J. Cox (Product Security) 2005-03-18 04:35:56 EST
was pushed FEDORA-2005-135, FEDORA-2005-136

Note You need to log in before you can comment on or make changes to this bug.